commit:     1e410659486a0d0d62f94a70c36ffd2935060196
Author:     Slawomir Lis <slis <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 16 06:54:03 2018 +0000
Commit:     Slawek Lis <slis <AT> gentoo <DOT> org>
CommitDate: Tue Jan 16 06:54:58 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e410659

app-arch/wimlib: added new package

Imported from overlay: 4nykey

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-arch/wimlib/Manifest             |  1 +
 app-arch/wimlib/metadata.xml         | 21 ++++++++++++
 app-arch/wimlib/wimlib-1.12.0.ebuild | 62 ++++++++++++++++++++++++++++++++++++
 3 files changed, 84 insertions(+)

diff --git a/app-arch/wimlib/Manifest b/app-arch/wimlib/Manifest
new file mode 100644
index 00000000000..758e0402156
--- /dev/null
+++ b/app-arch/wimlib/Manifest
@@ -0,0 +1 @@
+DIST wimlib-1.12.0.tar.gz 1014508 BLAKE2B 
d12f4e0b458fe756b74c67f2f643256c44021e0f0c3e2a3a70eb87647c3c6cabd93413917bf8a8c6ab6820860c407f4454454719227f5cbf1a9a81a7bedc1a6e
 SHA512 
0343b37550366f07fd6a6689f4445f390187beddde677f4d6d831c07936d03b613ae95f612ec7a75e978a5e678f33ab766d0f3b3d942886df56e4ef77d4b07b9

diff --git a/app-arch/wimlib/metadata.xml b/app-arch/wimlib/metadata.xml
new file mode 100644
index 00000000000..6f9a4af2ec3
--- /dev/null
+++ b/app-arch/wimlib/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>[email protected]</email>
+  </maintainer>
+  <use>
+    <flag name="fuse">
+      Use fuse libraries
+    </flag>
+    <flag name="ntfs">
+      Use libntfs-3g library from sys-fs/ntfs3g
+    </flag>
+    <flag name="openssl">
+      Use the SHA-1 message digest from libcrypto instead of compilling 
another implementation
+    </flag>
+    <flag name="yasm">
+      Use yasm assembler instead of nasm
+    </flag>
+  </use>
+</pkgmetadata>

diff --git a/app-arch/wimlib/wimlib-1.12.0.ebuild 
b/app-arch/wimlib/wimlib-1.12.0.ebuild
new file mode 100644
index 00000000000..591962cc886
--- /dev/null
+++ b/app-arch/wimlib/wimlib-1.12.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools pax-utils
+if [[ -z ${PV%%*9999} ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="git://wimlib.net/${PN}"
+else
+       inherit vcs-snapshot
+       MY_PV="${PV/_/-}"
+       MY_PV="${MY_PV^^}"
+       SRC_URI="https://wimlib.net/downloads/${PN}-${MY_PV}.tar.gz -> 
${P}.tar.gz"
+       RESTRICT="primaryuri"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="The open source Windows Imaging (WIM) library"
+HOMEPAGE="https://wimlib.net/";
+
+LICENSE="|| ( GPL-3+ LGPL-3+ ) CC0-1.0"
+SLOT="0"
+IUSE="cpu_flags_x86_ssse3 fuse ntfs openssl threads yasm"
+REQUIRED_USE="cpu_flags_x86_ssse3? ( !openssl )"
+
+RDEPEND="
+       dev-libs/libxml2:2
+       ntfs? ( sys-fs/ntfs3g )
+       fuse? ( sys-fs/fuse:0 )
+       openssl? ( dev-libs/openssl:0 )
+"
+DEPEND="
+       ${RDEPEND}
+       cpu_flags_x86_ssse3? (
+               yasm? ( dev-lang/yasm )
+               !yasm? ( dev-lang/nasm )
+       )
+"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_with ntfs ntfs-3g)
+               $(use_with fuse)
+               $(use_enable cpu_flags_x86_ssse3 ssse3-sha1)
+               $(use_with openssl libcrypto)
+               $(use_enable threads multithreaded-compression)
+       )
+       has test ${FEATURES} && myeconfargs+=( --enable-test-support )
+       ac_cv_prog_NASM="$(usex yasm yasm nasm)" \
+               econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       emake
+       pax-mark m "${S}"/.libs/wimlib-imagex
+}

Reply via email to